package com.muyu.product.domain;

import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.security.utils.SecurityUtils;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 属性组中间对象 as_attribute_group
 *
 * @author Saisai
 * @date 2024-02-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class AsAttributeGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 属性编号 */
    @Excel(name = "属性编号")
    private Long attributeId;

    /** 分组编号 */
    @Excel(name = "分组编号")
    private Long groupId;

    public static AsAttributeGroup saveBuilder(Long id, Long attributeId) {
        return AsAttributeGroup.builder()
                .groupId(id)
                .attributeId(attributeId)
                .build();
    }
}
