package com.muyu.product.domain.req;

import lombok.AccessLevel;
import lombok.Builder;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.security.utils.SecurityUtils;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.lang.annotation.Annotation;

/**
 * @ClassName BrandReq
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/3/1/0001 9:59
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class BrandReq extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 品牌名称
     */
    @Excel(name = "品牌名称")
    private String name;

    /**
     * 图像标识
     */
    @Excel(name = "图像标识")
    private String logo;

    /**
     * 描述
     */
    @Excel(name = "描述")
    private String introduction;

    /**
     * 品牌启用
     */
    @Excel(name = "品牌启用")
    private String status;

    /**
     * 公司地址
     */
    @Excel(name = "公司地址")
    private String addressName;




}
