package com.muyu.product.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.ProductCategory;

/**
 * 品类商品中间Mapper extends BaseMapper<>接口
 *
 * @author Saisai
 * @date 2024-02-29
 */
public interface ProductCategoryMapper extends BaseMapper<ProductCategory>
{
    /**
     * 查询品类商品中间
     *
     * @param id 品类商品中间主键
     * @return 品类商品中间
     */
    ProductCategory selectProductCategoryById(Long id);

    /**
     * 查询品类商品中间列表
     *
     * @param productCategory 品类商品中间
     * @return 品类商品中间集合
     */
    List<ProductCategory> selectProductCategoryList(ProductCategory productCategory);

    /**
     * 新增品类商品中间
     *
     * @param productCategory 品类商品中间
     * @return 结果
     */
    int insertProductCategory(ProductCategory productCategory);

    /**
     * 修改品类商品中间
     *
     * @param productCategory 品类商品中间
     * @return 结果
     */
    int updateProductCategory(ProductCategory productCategory);

    /**
     * 删除品类商品中间
     *
     * @param id 品类商品中间主键
     * @return 结果
     */
    int deleteProductCategoryById(Long id);

    /**
     * 批量删除品类商品中间
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteProductCategoryByIds(Long[] ids);
}
