package com.muyu.product.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.product.domain.Address;
import com.muyu.product.domain.AttributeGroup;
import com.muyu.product.domain.req.AttributeGroupReq;

/**
 * 属性组Service接口
 *
 * @author muyu
 * @date 2024-02-29
 */
public interface IAttributeGroupService extends IService<AttributeGroup>
{
    /**
     * 查询属性组
     *
     * @param id 属性组主键
     * @return 属性组
     */
    AttributeGroup selectAttributeGroupById(Long id);

    /**
     * 查询属性组列表
     *
     * @param attributeGroup 属性组
     * @return 属性组集合
     */
    List<AttributeGroup> selectAttributeGroupList(AttributeGroup attributeGroup);

    /**
     * 新增属性组
     *
     * @param attributeGroupReq 属性组
     * @return 结果
     */
    int insertAttributeGroup(AttributeGroupReq attributeGroupReq);

    /**
     * 修改属性组
     *
     * @param attributeGroupReq 属性组
     * @return 结果
     */
    int updateAttributeGroup(AttributeGroupReq attributeGroupReq);

    /**
     * 批量删除属性组
     *
     * @param ids 需要删除的属性组主键集合
     * @return 结果
     */
    int deleteAttributeGroupByIds(Long[] ids);

    /**
     * 删除属性组信息
     *
     * @param id 属性组主键
     * @return 结果
     */
    int deleteAttributeGroupById(Long id);
}
