package com.muyu.product.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.product.domain.Address;
import com.muyu.product.domain.CategoryAttributeGroup;

/**
 * 品类属性组中间Service接口
 *
 * @author saisai
 * @date 2024-02-29
 */
public interface ICategoryAttributeGroupService extends IService<CategoryAttributeGroup>
{
    /**
     * 查询品类属性组中间
     *
     * @param id 品类属性组中间主键
     * @return 品类属性组中间
     */
    CategoryAttributeGroup selectCategoryAttributeGroupById(Long id);

    /**
     * 查询品类属性组中间列表
     *
     * @param categoryAttributeGroup 品类属性组中间
     * @return 品类属性组中间集合
     */
    List<CategoryAttributeGroup> selectCategoryAttributeGroupList(CategoryAttributeGroup categoryAttributeGroup);

    /**
     * 新增品类属性组中间
     *
     * @param categoryAttributeGroup 品类属性组中间
     * @return 结果
     */
    int insertCategoryAttributeGroup(CategoryAttributeGroup categoryAttributeGroup);

    /**
     * 修改品类属性组中间
     *
     * @param categoryAttributeGroup 品类属性组中间
     * @return 结果
     */
    int updateCategoryAttributeGroup(CategoryAttributeGroup categoryAttributeGroup);

    /**
     * 批量删除品类属性组中间
     *
     * @param ids 需要删除的品类属性组中间主键集合
     * @return 结果
     */
    int deleteCategoryAttributeGroupByIds(Long[] ids);

    /**
     * 删除品类属性组中间信息
     *
     * @param id 品类属性组中间主键
     * @return 结果
     */
    int deleteCategoryAttributeGroupById(Long id);
}
