package com.muyu.product.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.muyu.product.mapper.RuleAttrMapper;
import com.muyu.product.domain.RuleAttr;
import com.muyu.product.service.RuleAttrService;

/**
 * Service业务层处理
 *
 * @author muyu
 * @date 2024-03-07
 */
@Service
public class RuleAttrServiceImpl extends ServiceImpl<RuleAttrMapper,RuleAttr> implements RuleAttrService
{
    @Autowired
    private RuleAttrMapper ruleAttrMapper;

    /**
     * 查询
     *
     * @param id 主键
     * @return
     */
    @Override
    public RuleAttr selectRuleAttrById(Long id)
    {

        return ruleAttrMapper.selectRuleAttrById(id);
    }

    /**
     * 查询列表
     * @param ruleAttr
     * @return
     */
    @Override
    public List<RuleAttr> selectRuleAttrList(RuleAttr ruleAttr)
    {

        return ruleAttrMapper.selectRuleAttrList(ruleAttr);
    }

    /**
     * 新增
     *
     * @param ruleAttr
     * @return 结果
     */
    @Override
    public int insertRuleAttr(RuleAttr ruleAttr)
    {
        ruleAttr.setCreateTime(DateUtils.getNowDate());
        return ruleAttrMapper.insertRuleAttr(ruleAttr);
    }

    /**
     * 修改
     *
     * @param ruleAttr
     * @return 结果
     */
    @Override
    public int updateRuleAttr(RuleAttr ruleAttr)
    {
        ruleAttr.setUpdateTime(DateUtils.getNowDate());
        return ruleAttrMapper.updateRuleAttr(ruleAttr);
    }

    /**
     * 批量删除
     *
     * @param ids 需要删除的主键
     * @return 结果
     */
    @Override
    public int deleteRuleAttrByIds(Long[] ids)
    {
        return ruleAttrMapper.deleteRuleAttrByIds(ids);
    }

    /**
     * 删除信息
     *
     * @param id 主键
     * @return 结果
     */
    @Override
    public int deleteRuleAttrById(Long id)
    {
        return ruleAttrMapper.deleteRuleAttrById(id);
    }
}
